﻿using System.Collections.ObjectModel;
using System.Linq;
using Telerik.Core;

namespace ListViewSelectedBackground.ViewModels
{
    public class MainViewModel : ViewModelBase
    {
        private ObservableCollection<ItemViewModel> items;
        private ItemViewModel selectedListItem;

        public MainViewModel()
        {
            
        }

        public ObservableCollection<ItemViewModel> Items => items ?? (items = GenerateSampleItems());

        public ItemViewModel SelectedListItem
        {
            get { return selectedListItem ?? (selectedListItem = Items.FirstOrDefault()); }
            set { selectedListItem = value; OnPropertyChanged();}
        }

        private ObservableCollection<ItemViewModel> GenerateSampleItems()
        {
            var list = new ObservableCollection<ItemViewModel>();

            for (int i = 0; i < 50; i++)
            {
                list.Add(new ItemViewModel {Title = $"Item {i}", Summary = $"This is a summary sample text for item {i}."});
            }

            return list;
        }
    }
}
